apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: wikijs
  namespace: argocd
  labels:
    env: dev-tools
spec:
  project: dev-tools
  source:
    repoURL: 'ssh://git@gitea-ssh.dev-tools.svc.cluster.local:2222/dvirlabs/dev-tools.git'
    targetRevision: HEAD
    path: charts/wiki
    helm:
      valueFiles:
        - ../../manifests/wikijs/values.yaml
  destination:
    server: https://kubernetes.default.svc
    namespace: dev-tools
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
  ignoreDifferences:
    - group: apps
      kind: Deployment
      name: wikijs
      namespace: dev-tools
      jqPathExpressions:
        - .spec.template.metadata.annotations."kubectl.kubernetes.io/restartedAt"
